SeExpr

Public Member Functions | Public Attributes | List of all members
SeExpr2::GlobalVal Class Reference
Inheritance diagram for SeExpr2::GlobalVal:

## Public Member Functions
| GlobalVal (const std::string &varName, const SeExpr2::ExprType &et)
Public Member Functions inherited from SeExpr2::ExprVarRef
| ExprVarRef (const ExprType &type)
virtual | ~ExprVarRef ()
virtual void | setType (const ExprType &type)
| sets (current) type to given type More...
virtual ExprType | type () const
| returns (current) type More...
virtual void | eval (double *result)=0
| returns this variable's value by setting result More...
virtual void | eval (const char **resultStr)=0

## Public Attributes
std::set< DExpression * > | users
std::string | varName

## Detailed Description

Definition at line 22 of file ExprMultiExpr.cpp.

## Constructor & Destructor Documentation

## ◆ GlobalVal()

SeExpr2::GlobalVal::GlobalVal | ( | const std::string & | varName,
|  | const SeExpr2::ExprType & | et
| ) |  |
| inline

Definition at line 24 of file ExprMultiExpr.cpp.

## Member Data Documentation

## ◆ users

std::set<DExpression *> SeExpr2::GlobalVal::users

Definition at line 25 of file ExprMultiExpr.cpp.

Referenced by SeExpr2::Expressions::getLoopVarSetHandle().

## ◆ varName

std::string SeExpr2::GlobalVal::varName

Definition at line 26 of file ExprMultiExpr.cpp.

Referenced by SeExpr2::DExpression::name().

The documentation for this class was generated from the following file:

- /build/seexpr/src/SeExpr/src/SeExpr2/ExprMultiExpr.cpp